[youtubei.js](../../../README.md) / [Misc](../README.md) / Thumbnail

# Class: Thumbnail

## Constructors

### new Thumbnail()

> **new Thumbnail**(`data`): [`Thumbnail`](Thumbnail.md)

#### Parameters

• **data**: [`RawNode`](../../APIResponseTypes/type-aliases/RawNode.md)

#### Returns

[`Thumbnail`](Thumbnail.md)

#### Defined in

[src/parser/classes/misc/Thumbnail.ts:8](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/Thumbnail.ts#L8)

## Properties

### height

> **height**: `number`

#### Defined in

[src/parser/classes/misc/Thumbnail.ts:6](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/Thumbnail.ts#L6)

***

### url

> **url**: `string`

#### Defined in

[src/parser/classes/misc/Thumbnail.ts:4](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/Thumbnail.ts#L4)

***

### width

> **width**: `number`

#### Defined in

[src/parser/classes/misc/Thumbnail.ts:5](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/Thumbnail.ts#L5)

## Methods

### fromResponse()

> `static` **fromResponse**(`data`): [`Thumbnail`](Thumbnail.md)[]

Get thumbnails from response object.

#### Parameters

• **data**: `any`

#### Returns

[`Thumbnail`](Thumbnail.md)[]

#### Defined in

[src/parser/classes/misc/Thumbnail.ts:17](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/classes/misc/Thumbnail.ts#L17)
